Sync freesci 0.6.4-7.2 (universe) from Debian unstable (main)

Bug #1253485 reported by Graham Inggs on 2013-11-21
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
freesci (Ubuntu)
Undecided
Unassigned

Bug Description

Please sync freesci 0.6.4-7.2 (universe) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
  * Rebuild with libmotif-dev instead of lesstif2-dev. (LP: #1222747)
Debian has now also transitioned to libmotif-dev.

Changelog entries since current trusty version 0.6.4-7ubuntu1:

freesci (0.6.4-7.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch 03_fix_segfault_with_no_x.patch to prevent segfault
    (Closes: #715917)
  * Build with hardening (Closes: #664513)
    - Add 04_fix_format_security.patch
    - Build-Depends on dpkg-dev (>= 1.16.1~)

 -- Paul Gevers <email address hidden> Wed, 20 Nov 2013 20:03:59 +0100

freesci (0.6.4-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update Build-Depends
    - libmotif-dev instead of lesstif2-dev. Unclear where it is used anyways,
      as no dependency shows up afterwards (Closes: #721928)
    - add libxrender-dev, libfontconfig1-dev, libice-dev and libxft-dev as they
      were pulled in by lesstif2-dev and change the build log otherwise
    - libpng-dev instead of libpng12-dev (Closes: #662336)
    - automake instead of automake1.9 (Closes: #724370)
  * Add and use autotools-dev to update config.{guess,sub} during build
    (Closes: #727860)

 -- Paul Gevers <email address hidden> Sun, 03 Nov 2013 18:20:58 +0100

Daniel Holbach (dholbach) wrote :

This bug was fixed in the package freesci - 0.6.4-7.2
Sponsored for Graham Inggs (ginggs)

---------------
freesci (0.6.4-7.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch 03_fix_segfault_with_no_x.patch to prevent segfault
    (Closes: #715917)
  * Build with hardening (Closes: #664513)
    - Add 04_fix_format_security.patch
    - Build-Depends on dpkg-dev (>= 1.16.1~)

 -- Paul Gevers <email address hidden> Wed, 20 Nov 2013 20:03:59 +0100

freesci (0.6.4-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update Build-Depends
    - libmotif-dev instead of lesstif2-dev. Unclear where it is used anyways,
      as no dependency shows up afterwards (Closes: #721928)
    - add libxrender-dev, libfontconfig1-dev, libice-dev and libxft-dev as they
      were pulled in by lesstif2-dev and change the build log otherwise
    - libpng-dev instead of libpng12-dev (Closes: #662336)
    - automake instead of automake1.9 (Closes: #724370)
  * Add and use autotools-dev to update config.{guess,sub} during build
    (Closes: #727860)

 -- Paul Gevers <email address hidden> Sun, 03 Nov 2013 18:20:58 +0100

Changed in freesci (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers